curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/connectors/probe' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"connector_key": "string",
"connector_type": "string",
"direction": "inbound",
"target": {},
"auth": {
"secret_ref": "YOUR_API_KEY",
"headers": {}
},
"retry_policy": {},
"metadata": {},
"enabled": true
}'
{
"connector_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connector_key": "string",
"connector_type": "string",
"healthy": true,
"latency_ms": 250,
"error": "string",
"checked_at": "2026-08-31T14:22:05Z"
}
Probe connector config
Dry-run probe result for the supplied (unsaved) connector configuration.
POST
/
v1
/
brands
/
{brand_id}
/
connectors
/
probe
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/connectors/probe' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"connector_key": "string",
"connector_type": "string",
"direction": "inbound",
"target": {},
"auth": {
"secret_ref": "YOUR_API_KEY",
"headers": {}
},
"retry_policy": {},
"metadata": {},
"enabled": true
}'
{
"connector_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connector_key": "string",
"connector_type": "string",
"healthy": true,
"latency_ms": 250,
"error": "string",
"checked_at": "2026-08-31T14:22:05Z"
}
Path parameters
Request body
object
Response
object
Status codes
| Code | Meaning |
|---|---|
200 | Dry-run probe result for the supplied (unsaved) connector configuration. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request POST \
--url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/connectors/probe' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"connector_key": "string",
"connector_type": "string",
"direction": "inbound",
"target": {},
"auth": {
"secret_ref": "YOUR_API_KEY",
"headers": {}
},
"retry_policy": {},
"metadata": {},
"enabled": true
}'
{
"connector_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"connector_key": "string",
"connector_type": "string",
"healthy": true,
"latency_ms": 250,
"error": "string",
"checked_at": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026